from django.contrib import admin
from django.urls import path, include

from web.views import signup, forum_threads, thread, custom_logout, profile, user_profile, denied, users, code_of_ethics, test_email

urlpatterns = [
    path('markdownx/', include('markdownx.urls')),
    path('admin/', admin.site.urls),
    path('api/users/', users, name='users'),
    path("accounts/", include("django.contrib.auth.urls")),
    path("accounts/signup/", signup, name="signup"),
    path("accounts/profile/", profile, name="profile"),
    path("accounts/user/<user_id>", user_profile, name="user"),
    path("accounts/denied/", denied, name="denied"),
    path("code_of_ethics", code_of_ethics, name="code_of_ethics"),
    path('logout/', custom_logout, name='custom_logout'),
    path("", forum_threads, name='index'),
    path("forum/threads/", forum_threads, name='forum_threads'),
    path("forum/thread/<thread_id>", thread, name='thread'),
    path("test/", test_email, name='test'),
]
